#!/bin/bash

# Utilisation non interactive de 'vi' pour éditer un fichier.
# Émule 'sed'.

E_MAUVAISARGS=65

if [ -z "$1" ]
then
  echo "Usage: `basename $0` nomfichier"
  exit $E_MAUVAISARGS
fi

FICHIERCIBLE=$1

# Insère deux lignes dans le fichier et le sauvegarde.
#--------Début document en ligne-----------#
vi $FICHIERCIBLE &lt;&lt;x23LimitStringx23
i
Ceci est la ligne 1 du fichier exemple.
Ceci est la ligne 2 du fichier exemple.
^[
ZZ
x23LimitStringx23
#--------Fin   document en ligne-----------#

#  Notez que ^[ ci-dessus est un échappement littéral, saisi avec
#+ Control-V &lt;Esc&gt;.

#  Bram Moolenaar indique que ceci pourrait ne pas fonctionner avec 'vim',
#+ à cause de problèmes possibles avec l'interaction du terminal.

exit 0
